Bug #11578 Warnings when compiling w/gcc 4
Submitted: 25 Jun 2005 22:01 Modified: 12 Jul 2005 1:09
Reporter: Jorge del Conde Email Updates:
Status: Closed Impact on me:
None 
Category:MySQL Server: Compiling Severity:S3 (Non-critical)
Version:all OS:Linux (linux)
Assigned to: Brian Aker CPU Architecture:Any

[25 Jun 2005 22:01] Jorge del Conde
Description:
I get the following warning when compiling mysql w/gcc 4 (default in fedora 4):

handler.h: In member function ‘uint handler::max_record_length() const’:
handler.h:475: warning: minimum/maximum operators are deprecated

How to repeat:
compile mysql w/gcc 4
[12 Jul 2005 1:09] Brian Aker
Fixed in 1.2338 .